<?php

namespace App\Twig;

use App\Service\StatLoader;
use Symfony\UX\LiveComponent\Attribute\AsLiveComponent;
use Symfony\UX\LiveComponent\Attribute\LiveProp;
use Symfony\UX\LiveComponent\DefaultActionTrait;

#[AsLiveComponent('dashboard-component')]
class DashboardComponent
{
    use DefaultActionTrait;

    #[LiveProp()]
    public ?string $test = null;

    public function __construct(protected StatLoader $statLoader)
    {

    }

    public function getStats(): ?string
    {
        return $this->statLoader->getStats();
    }


}