<?php

namespace App\Service;

use Symfony\Contracts\HttpClient\HttpClientInterface;

class StatLoader
{
    public function __construct(protected HttpClientInterface $httpClient)
    {
        
    }

    public function getStats(): ?string
    {
        $request = $this->httpClient->request(
            'GET',
            'jsdashboard'
        );

        return $request->getContent();
    }
}